# Namespace: date

## faker. date

### Methods

#### <static> between(from, to)

  between

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `from` | date |
  `to` | date |

#### <static> future(years, refDate)

  future

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `years` | number |
  `refDate` | date |

#### <static> month(options)

  month

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `options` | object |

#### <static> past(years, refDate)

  past

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `years` | number |
  `refDate` | date |

#### <static> recent(days)

  recent

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `days` | number |

#### <static> weekday(options)

  weekday

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `options` | object |

#### Search results